Subject: [datatracker-rqmts] Minutes from today's interim meeting

From: Paul Hoffman <[email-masked]>
Date: Fri, 17 Dec 2010 16:08:14 -0800

Greetings again. The minutes from today's virtual interim meeting are below. I'm comfortable with the conclusions that the small number of us there reached, and will have a new draft out in the next week so we can focus more on some of the other open issues.

As usual, if I close out an issue that someone feels strongly should be reopened because I might have gotten the "rough consensus without being a WG" wrong, let me know.

--Paul Hoffman

================================================

IDDTSPEC interim meeting
2010-12-17, 0800 PST, via WebEx

In attendance:
	Paul Hoffman
	Russ Housley
	Alexa Morris
	Henrik Levkowetz

Russ: define the support needed upfront
	Need to understand the impact on the Secretariat
	Add a backup capability for user setups

Russ: want to be able to create a Datatracker account that does not involve the Secretariat
	Limit Secretariat to assigning privileges to role-based accounts
	Similar to no Secretariat involvement in signing up for a mailing list
	This functionality is not there currently
	Users would still would go to Secretariat for support
		Sent to ietf-action

Question of only one list vs many for individuals
	Russ: Where is the value of multiple lists?
		If you want the same granularity on all of them, only need to have one
		Maybe each piece of a list has a granularity tag, or two lists
		"Show me the state / populate the table" would lead to separate queries
		If they are notify lists, only need one
	Henrik agrees that users only need one
	Henrik: user can choose a list name (default name will be ugly and not guessable)
		If someone announces the name/URL for the Atom feed, others can subscribe
		Don't announce them automatically
		Public should not be able to subscribe to email, but can get Atom
		Russ: lists don't contain contents, but instead the actions that you want
			Henrik: but you need a URL for an Atom feed
				Logging in for Atom would be a hassle
			Russ agrees that handing out the URL for the feed is OK
				Need configuration for "I want email" or not
	Resolution: agree that private lists can have a public feed

	Need reasonable identifiers for drafts, maybe URNs

Accounts
	Russ: Every WG chair has personal account
		Accounts have privileges
			Will have "I am WG chair"
			That privilege will allow you to edit the list for WG
		For individuals, edit this list will be "edit this account's list"
	Notifications
		Russ: maybe an SMS would be needed as an edge case

API discussion
	Russ: pasting into a text window is sufficient
		Mailman uses this for bulk adds
	Henrik: wants a generic format to export information
		Add or replace could both be provided
		Should method be text window or something else: doesn't matter
		Russ: likes text window so the entries could be mailed around
		People will want more detail, such as granularity level
		Maybe use JSON structures
			Can pull out different bits at any level by URL

Lists of lists
	General agreement: much too complicated to do in first version
	Could be done in a later version

Henrik: Make display publicly available as well
	Similar to Atom URL
	Wants to avoid complexity of subscribing to mail streams